org.richfaces.fragment.popupPanel

## Enum PopupPanel.ResizerLocation

- java.lang.Object
- - java.lang.Enum<PopupPanel.ResizerLocation>
  - - org.richfaces.fragment.popupPanel.PopupPanel.ResizerLocation

- All Implemented Interfaces:
    Serializable, Comparable<PopupPanel.ResizerLocation>
  Enclosing interface:
    PopupPanel<HEADER,HEADERCONTROLS,BODY>

      public static enum PopupPanel.ResizerLocation
      extends Enum<PopupPanel.ResizerLocation>

  Represents the direction where the popup panel should be resized.
  Author:
    Jiri Stefek

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `E`
    `N`
    `NE`
    `NW`
    `S`
    `SE`
    `SW`
    `W`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PopupPanel.ResizerLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PopupPanel.ResizerLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### N

          public static final PopupPanel.ResizerLocation N

    - #### E

          public static final PopupPanel.ResizerLocation E

    - #### S

          public static final PopupPanel.ResizerLocation S

    - #### W

          public static final PopupPanel.ResizerLocation W

    - #### NE

          public static final PopupPanel.ResizerLocation NE

    - #### NW

          public static final PopupPanel.ResizerLocation NW

    - #### SE

          public static final PopupPanel.ResizerLocation SE

    - #### SW

          public static final PopupPanel.ResizerLocation SW

  - ### Method Detail

    - #### values

          public static PopupPanel.ResizerLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PopupPanel.ResizerLocation c : PopupPanel.ResizerLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PopupPanel.ResizerLocation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.